<?php
/* 
  CLIENT.PHP
  Makes requests to server and processes server responses
*/
include(dirname(__FILE__) . "/xmlrpc/xmlrpc-engine.php");	/* Web Service Engine */
global $targetsite, $targetlocation;
$targetsite = "yoursite.com:80";				/* Target Domain name */
$targetlocation = "server.php";					/* Relative Path to Target Web Service */

/* ----------------------- */
/* MISCELLANEOUS FUNCTIONS */
/* ----------------------- */
/* Date conversion function */
function convert_date($date) {
$date = date("D M y H:i:s", XMLRPC_convert_iso8601_to_timestamp($date));
return ($date);
}

/* ------------------------ */
/* CLIENT REQUEST FUNCTIONS */
/* ------------------------ */
function sendRequest($number, $txt) {
global $targetsite, $targetlocation;
$query_info = array();
$query_info['number'] = $number;
$query_info['text'] = $txt;
$output = "";
/* Send Request To Server, Passing $query_info arguments and requesting use of 'block.getData' */
list($success, $response) = XMLRPC_request(
					   $targetsite,
					   $targetlocation,
					   'block.getData',
					   array(XMLRPC_prepare($query_info), 'xmlrpcagent')
					  );
/* Process Server Response */
if ($success) {
	       /* Request Successful */
	       $count = 0;
	       while (list($key, $val) = each ($response)) {
							    $output = $output . "<b>ID = </b>" . $response[$count]['id'] . "<br />";
							    $output = $output . "<b>Field 1 = </b>" . $response[$count]['field1'] . "<br />";
							    $output = $output . "<b>Field 2 = </b>" . $response[$count]['field2'] . "<br />";
							    $output = $output . "<b>Field 3 = </b>" . $response[$count]['field3'] . "<br />";
							    $output = $output . "<b>Field 4 = </b>" . $response[$count]['field4'] . "<br />";
							    $output = $output . "<b>Field 5 = </b>" . $response[$count]['field5'] . "<br />";
							    $output = $output . "<b>Field 6 = </b>" . $response[$count]['field6'] . "<br />";
							    $output = $output . "<b>Field 7 = </b>" . $response[$count]['field7'] . "<br />";
							    $output = $output . "<b>Field 8 = </b>" . $response[$count]['field8'] . "<br />";
							    $output = $output . "<b>Field 9 = </b>" . $response[$count]['field9'] . "<br />";
							    $output = $output . "<b>Field 10 = </b>" . $response[$count]['field10'] . "<br />";
						    	    $count = $count + 1;
							   }
	      }
else {
      /* Request Failed */
      $error = $response['faultString'];
      $output = $error;
     }
/* Generate Output */
return ($output);
}

/* ------------------------------- */
/* MAKE YOUR WEB SERVICE CALL HERE */
/* ------------------------------- */
echo sendRequest(0, '');
?>
